Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002333 [JEDI VCL] 00 JVCL Components block always 2004-11-22 22:08 2004-11-26 01:04
Reporter stevetroxell View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002333: TJvTimerList doesn't fire timer events in Delphi 5
Description The attached sample program sets up a TJvTimerEvent to write a line into a memo control every second. If I compile and run in Delphi 7, it works as expected. If I compile and run in Delphi 5, the timer event never gets called.
Additional Information
Tags No tags attached.
Attached Files zip file icon JvTimerListSample.zip [^] (1,094 bytes) 2004-11-22 22:08

- Relationships

-  Notes
(0005708)
user72
2004-11-25 09:48

Have you tried debugging this issue in D5? Have you found anything?
(0005712)
anonymous (viewer)
2004-11-25 10:53

Played around a bit... here is how the event is stored in D5 dfm:
object JvTimerList1: TJvTimerList
    Active = True
    Events = <
      item
        OnTimer = JvTimerList1Events0Timer
      end>
    Left = 289
    Top = 91
  end
Mhhh...

When adding another Timer at runtime like:
JvTimerList1.Add(JvTimerList1Events1Timer,1000,True);
AND FREE this one again: JvTimerList1.Events.Items[1].Free;
The one at designtime created runs perfect on JvTimerList1Events0Timer

May be this helps...
(0005713)
Achim Metzen (reporter)
2004-11-25 10:58

Another note: See RepeatCount with D5 at designtime to any Value other then 0 causes an AV:

EurekaLog 4.5.8

Application:
---------------------------------------------------------
  1.1 Start Date : Thu, 25 Nov 2004 19:10:36 +0100
  1.2 Name/Description: Delphi-32 Development Environment
  1.3 Version Number : 5.0.6.18
  1.4 Parameters : "/np"

Exception:
----------------------------------------------------------------------------------------------------------
  2.1 Date : Thu, 25 Nov 2004 19:49:50 +0100
  2.2 Address: 00408C55
  2.3 Module : Delphi32.exe
  2.4 Type : Exception
  2.5 Message: Access violation at address 0519EA78 in module 'JvSystemD5R.bpl'. Read of address 00000020.

Active Controls:
---------------------------------------
  3.1 Form Class : TPropertyInspector
  3.2 Form Text : Object Inspector
  3.3 Control Class: TPropInspEdit
  3.4 Control Text : 1


Call Stack Information:
---------------------------------------------------------------------------------------
|Address |Module |Unit |Class |Procedure/Method |Line|
---------------------------------------------------------------------------------------
|7C920961|ntdll.dll | | |RtlReleasePebLock | |
|40004350|Vcl50.bpl |System.pas | |_RaiseExcept | |
|40021738|Vcl50.bpl |Typinfo.pas | |SetOrdProp | |
|400DD31C|Vcl50.bpl |Dsgnintf.pas |TPropertyEditor|SetOrdValue | |
|40381AA0|VCLIDE50.bpl|Ideinsplistbox.pas|TInspListBox |SetPropValue | |
|4006B6B0|Vcl50.bpl |Controls.pas |TControl |WndProc | |
|7C9110ED|ntdll.dll | | |RtlLeaveCriticalSection| |
|400261B0|Vcl50.bpl |Classes.pas |TThreadList |UnlockList | |
|40038BB8|Vcl50.bpl |Graphics.pas | |FreeMemoryContexts | |
|77D1BCBD|user32.dll | | |DispatchMessageA | |
|4005AA04|Vcl50.bpl |Forms.pas |TApplication |ProcessMessage | |
|4005AAB4|Vcl50.bpl |Forms.pas |TApplication |HandleMessage | |
|4005AC48|Vcl50.bpl |Forms.pas |TApplication |Run | |
---------------------------------------------------------------------------------------

Rgds
Achim
(0005716)
AHUser (developer)
2004-11-26 01:04

Fixed in CVS.

- Issue History
Date Modified Username Field Change
2004-11-22 22:08 stevetroxell New Issue
2004-11-22 22:08 stevetroxell File Added: JvTimerListSample.zip
2004-11-25 09:48 user72 Note Added: 0005708
2004-11-25 09:48 user72 Status new => feedback
2004-11-25 10:53 anonymous Note Added: 0005712
2004-11-25 10:58 Achim Metzen Note Added: 0005713
2004-11-26 01:04 AHUser Status feedback => resolved
2004-11-26 01:04 AHUser Resolution open => fixed
2004-11-26 01:04 AHUser Assigned To => AHUser
2004-11-26 01:04 AHUser Note Added: 0005716


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker